Subject: Logan Model 200 Metal Lathe

From: [email-masked] (Bruce Haley)
Date: Fri, 25 Mar 1994 19:28:58 GMT

I have a roughly 25-year old Logan metal cutting lathe, 220V, 3 in chuck, that
stands about 4 ft high and about 5 ft long.  Anybody got a clue what it would be
worth in working condition (and anybody interested in buying one in the Central
Mass. area)?

Bruce
-- 

--------------------------------------------------------------------------
Bruce Haley           | Internet Z-car Club #106 | The VetteNet
Proteon Corp.         | 1971 240Z (driver)       | "World Class Glass,"